/*
 * packetmodeller/model.h
 *
 * Copyright (C) 2009 Reto Gantenbein
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef __MODEL_H
#define __MODEL_H

/**
 *  Functions handling the communication with the WlanModel
 */

/** INCLUDES ******************************************************************/
#include <errno.h>
#include <signal.h>
#include <stdlib.h>
#include <string.h>
#include <sys/ipc.h>
#include <sys/msg.h>
#include <sys/socket.h>
#include <sys/types.h>


/** MODEL RELATED PUBLIC FUNCTIONS ********************************************/

/**
 *  Register the node at the WlanModel
 */
int
pm_register();

/**
 * Handles model updates on vif configuration changes
 */
void *
vif_handler();

#endif
