/*
 * packetmodeller/pm_print.h
 *
 * Copyright (C) 2009 Reto Gantenbein
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef __PM_PRINT_H
#define __PM_PRINT_H

/**
 * Header to include pm_-printing functions (defined in packet_modeller.c)
 */

#include <stdarg.h>


/** PUBLIC PRINT FUNCTIONS ****************************************************/

/** Debug function pointers */
int (*pm_debug)(const char* format, ...);
void (*pm_debug_args)(const char* format, va_list args);

/** Print Error message (with errno > 0) */
void
pm_error(const char *, ...);

/** Send message to syslog */
void
pm_log(const char *, ...);

#endif